<h1 mat-dialog-title>Editar Refeição</h1>
<form (submit)="onSubmit($event)" [formGroup]="mealForm">
    <mat-dialog-content>
        <mat-form-field>
            <mat-label>Calorias</mat-label>
            <input
                formControlName="calories"
                matInput
                min="0"
                name="calories"
                placeholder="Calorias da refeição"
                type="number"
            />
            <mat-error *ngIf="mealForm.get('calories').hasError('required')">
                Calorias obrigatórias
            </mat-error>
            <mat-icon matPrefix svgIcon="sprite:kcal"></mat-icon>
        </mat-form-field>
        <mat-form-field>
            <mat-label>Proteínas</mat-label>
            <input
                formControlName="protein"
                matInput
                min="0"
                name="protein"
                placeholder="Proteínas da refeição"
                type="number"
            />
            <mat-error *ngIf="mealForm.get('protein').hasError('required')">
                Proteínas obrigatórias
            </mat-error>
            <mat-icon matPrefix svgIcon="sprite:kcal"></mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Gorduras</mat-label>
            <input
                formControlName="fats"
                matInput
                min="0"
                name="fats"
                placeholder="Gorduras da refeição"
                type="number"
            />
            <mat-error *ngIf="mealForm.get('fats').hasError('required')">
                Gorduras obrigatórias
            </mat-error>
            <mat-icon matPrefix svgIcon="sprite:kcal"></mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Hidratos de carbono</mat-label>
            <input
                formControlName="carbs"
                matInput
                min="0"
                name="carbs"
                placeholder="Hidratos de carbono da refeição"
                type="number"
            />
            <mat-error *ngIf="mealForm.get('carbs').hasError('required')">
                Hidratos de carbono obrigatórias
            </mat-error>
            <mat-icon matPrefix svgIcon="sprite:kcal"></mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Descrição</mat-label>
            <input
                formControlName="description"
                matInput
                name="description"
                placeholder="Descrição da refeição"
            />
            <mat-icon matPrefix>subject</mat-icon>
        </mat-form-field>
    </mat-dialog-content>

    <mat-dialog-actions>
        <button
            [disabled]="!mealForm.valid"
            color="primary"
            mat-button
            type="submit"
        >
            <mat-icon>edit</mat-icon>
            Atualizar
        </button>

        <button (click)="onClose()" color="accent" mat-button type="button">
            <mat-icon>cancel</mat-icon>
            Cancelar
        </button>
    </mat-dialog-actions>
</form>
